'use strict';

var toastService = angular.module('NotibeProject.services.toast', []);

toastService.factory('Toast', ['I18n', function (I18n) {
        var getText = function (key) {
            var text = I18n.getText(key);
            return (text === undefined) ? key : text;
        };

        return {
            shortCenter: function (message) {
                window.plugins.toast.showShortCenter(getText(message));
            }
        };
    }]);